<?php
/**
 * Typography options
 *
 * @package Theme Palace
 * @subpackage Mega Blog Pro
 * @since Mega Blog Pro 1.0.0
 */

// Typography Section
$wp_customize->add_section( 'mega_blog_pro_section_typography',
	array(
		'title'      		=> esc_html__( 'Typography', 'mega-blog-pro' ),
		'priority'   		=> 600,
		'panel'      		=> 'mega_blog_pro_theme_options_panel',
	)
);

$wp_customize->add_setting( 'mega_blog_pro_theme_options[theme_menu_typography]',
	array(
		'sanitize_callback'	=> 'mega_blog_pro_sanitize_select',
	)
);
$wp_customize->add_control( 'mega_blog_pro_theme_options[theme_menu_typography]',
    array(
		'label'       		=> esc_html__( 'Choose Menu Typography', 'mega-blog-pro' ),
		'section'     		=> 'mega_blog_pro_section_typography',
		'settings'    		=> 'mega_blog_pro_theme_options[theme_menu_typography]',
		'type'		  		=> 'select',
		'choices'			=> mega_blog_pro_typography_options(),
    )
);

$wp_customize->add_setting( 'mega_blog_pro_theme_options[theme_site_title_typography]',
	array(
		'sanitize_callback'	=> 'mega_blog_pro_sanitize_select',
	)
);
$wp_customize->add_control( 'mega_blog_pro_theme_options[theme_site_title_typography]',
    array(
		'label'       		=> esc_html__( 'Choose Site Title Typography', 'mega-blog-pro' ),
		'section'     		=> 'mega_blog_pro_section_typography',
		'settings'    		=> 'mega_blog_pro_theme_options[theme_site_title_typography]',
		'type'		  		=> 'select',
		'choices'			=> mega_blog_pro_typography_options(),
    )
);

$wp_customize->add_setting( 'mega_blog_pro_theme_options[theme_site_description_typography]',
	array(
		'sanitize_callback'	=> 'mega_blog_pro_sanitize_select',
	)
);
$wp_customize->add_control( 'mega_blog_pro_theme_options[theme_site_description_typography]',
    array(
		'label'       		=> esc_html__( 'Choose Site Description Typography', 'mega-blog-pro' ),
		'section'     		=> 'mega_blog_pro_section_typography',
		'settings'    		=> 'mega_blog_pro_theme_options[theme_site_description_typography]',
		'type'		  		=> 'select',
		'choices'			=> mega_blog_pro_typography_options(),
    )
);

$wp_customize->add_setting( 'mega_blog_pro_theme_options[theme_section_title_typography]',
	array(
		'sanitize_callback'	=> 'mega_blog_pro_sanitize_select',
	)
);
$wp_customize->add_control( 'mega_blog_pro_theme_options[theme_section_title_typography]',
    array(
		'label'       		=> esc_html__( 'Choose Section Title Typography', 'mega-blog-pro' ),
		'section'     		=> 'mega_blog_pro_section_typography',
		'settings'    		=> 'mega_blog_pro_theme_options[theme_section_title_typography]',
		'type'		  		=> 'select',
		'choices'			=> mega_blog_pro_typography_options(),
    )
);

$wp_customize->add_setting( 'mega_blog_pro_theme_options[theme_widget_title_typography]',
	array(
		'sanitize_callback'	=> 'mega_blog_pro_sanitize_select',
	)
);
$wp_customize->add_control( 'mega_blog_pro_theme_options[theme_widget_title_typography]',
    array(
		'label'       		=> esc_html__( 'Choose Widget Title Typography', 'mega-blog-pro' ),
		'section'     		=> 'mega_blog_pro_section_typography',
		'settings'    		=> 'mega_blog_pro_theme_options[theme_widget_title_typography]',
		'type'		  		=> 'select',
		'choices'			=> mega_blog_pro_typography_options(),
    )
);




$wp_customize->add_setting( 'mega_blog_pro_theme_options[theme_head_typography]',
	array(
		'sanitize_callback'	=> 'mega_blog_pro_sanitize_select',
	)
);

$wp_customize->add_control( 'mega_blog_pro_theme_options[theme_head_typography]',
    array(
		'label'       		=> esc_html__( 'Choose Heading Typography', 'mega-blog-pro' ),
		'section'     		=> 'mega_blog_pro_section_typography',
		'settings'    		=> 'mega_blog_pro_theme_options[theme_head_typography]',
		'type'		  		=> 'select',
		'choices'			=> mega_blog_pro_typography_options(),
    )
);

$wp_customize->add_setting( 'mega_blog_pro_theme_options[theme_body_typography]',
	array(
		'sanitize_callback'	=> 'mega_blog_pro_sanitize_select',
	)
);
$wp_customize->add_control( 'mega_blog_pro_theme_options[theme_body_typography]',
    array(
		'label'       		=> esc_html__( 'Choose Body Typography', 'mega-blog-pro' ),
		'section'     		=> 'mega_blog_pro_section_typography',
		'settings'    		=> 'mega_blog_pro_theme_options[theme_body_typography]',
		'type'		  		=> 'select',
		'choices'			=> mega_blog_pro_typography_options(),
    )
);